XaTransaction.MuleXaObject (Mule ESB 2.2.1 API)
Keywords: org.mule.transaction.XaTransaction.MuleXaObject interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transaction
Interface XaTransaction.MuleXaObject

Enclosing class:
  XaTransaction

    public static interface XaTransaction.MuleXaObject

Field Summary
`static String` | `CLOSE_METHOD_NAME`
`static String` | `DELIST_METHOD_NAME`
`static String` | `ENLIST_METHOD_NAME`
`static String` | `GET_TARGET_OBJECT_METHOD_NAME`
`static String` | `IS_REUSE_OBJECT_METHOD_NAME`
`static String` | `SET_REUSE_OBJECT_METHOD_NAME`

Method Summary
`void` | `close()`
`boolean` | `delist()`
`boolean` | `enlist()`
`Object` | `getTargetObject()` Get XAConnection or XASession from wrapper / proxy
`boolean` | `isReuseObject()`
`void` | `setReuseObject(boolean reuseObject)`

Field Detail

### SET_REUSE_OBJECT_METHOD_NAME

    static final String SET_REUSE_OBJECT_METHOD_NAME

See Also:
  Constant Field Values

### IS_REUSE_OBJECT_METHOD_NAME

    static final String IS_REUSE_OBJECT_METHOD_NAME

See Also:
  Constant Field Values

### DELIST_METHOD_NAME

    static final String DELIST_METHOD_NAME

See Also:
  Constant Field Values

### ENLIST_METHOD_NAME

    static final String ENLIST_METHOD_NAME

See Also:
  Constant Field Values

### GET_TARGET_OBJECT_METHOD_NAME

    static final String GET_TARGET_OBJECT_METHOD_NAME

See Also:
  Constant Field Values

### CLOSE_METHOD_NAME

    static final String CLOSE_METHOD_NAME

See Also:
  Constant Field Values

Method Detail

### close

    void close()
               throws Exception

  Throws:
    `Exception`

### setReuseObject

    void setReuseObject(boolean reuseObject)

### isReuseObject

    boolean isReuseObject()

### enlist

    boolean enlist()
                   throws TransactionException

  Throws:
    `TransactionException`

### delist

    boolean delist()
                   throws Exception

  Throws:
    `Exception`

### getTargetObject

    Object getTargetObject()

  Get XAConnection or XASession from wrapper / proxy

  Returns:
    return javax.sql.XAConnection for jdbc or javax.jms.XASession for jms

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.